- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sbuild::error_base Class Reference

Error exception base class. More...

`#include <sbuild-error.h>`

Inheritance diagram for sbuild::error_base:

[legend]
Collaboration diagram for sbuild::error_base:

[legend]
List of all members.

## Public Member Functions
virtual | ~error_base () throw ()
| The destructor.
virtual const char * | why () const throw ()
| Get the reason for the error.
std::string const & | get_reason () const
| Get the reason for the error.
void | set_reason (std::string const &reason)
| Set the reason for the error.
## Protected Member Functions
| error_base (std::string const &error)
| The constructor.
| error_base (std::string const &error, std::string const &reason)
| The constructor.
## Private Attributes
std::string | reason
| The reason for the error.

## Detailed Description

Error exception base class.

## Constructor & Destructor Documentation

sbuild::error_base::error_base | ( | std::string const & | error | ) | `[inline, protected]`

The constructor.

Parameters:

  | error | the error message.

sbuild::error_base::error_base | ( | std::string const & | error,
|  | std::string const & | reason |
| ) |  |  | `[inline, protected]`

The constructor.

Parameters:

  | error | the error message.
  | reason | further information about the error

virtual sbuild::error_base::~error_base | ( |  | ) | throw ()`[inline, virtual]`

The destructor.

## Member Function Documentation

std::string const& sbuild::error_base::get_reason | ( |  | ) | const`[inline]`

Get the reason for the error.

Returns:
  the reason.

void sbuild::error_base::set_reason | ( | std::string const & | reason | ) | `[inline]`

Set the reason for the error.

Parameters:

  | reason | further information about the error

virtual const char* sbuild::error_base::why | ( |  | ) | const throw ()`[inline, virtual]`

Get the reason for the error.

Returns:
  the reason.

## Member Data Documentation

std::string sbuild::error_base::reason`[private]`

The reason for the error.

The documentation for this class was generated from the following file:

- sbuild/sbuild-error.h